Retrieve a checkout session

Portée requisecheckouts:readLa clé API doit porter cette portée, sinon Kivoo répond 403 insufficient_scope.
GET/v1/checkouts/{id}

What became of a session, for instance when the user comes back to returnUrl: paid with its order and its key, open, or expired.

Autorisation

apiKey
AuthorizationBearer <clé API>

An API key of the store, kv_live_…

Dans: header

Paramètres de chemin

id*string

Corps de la réponse

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kivoo.africa/v1/checkouts/string" \  -H "Authorization: Bearer kv_live_EXAMPLE0000000000000000000000000000000000"
{  "id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",  "url": "https://atelier-nour.kivoo.co/checkout/Xk2Lp9QwRt5vZb8NcY3mHs7JdF4gA6eU",  "status": "open",  "expiresAt": "2026-10-19T09:12:00.000Z",  "product": {    "id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b",    "title": "Plan Pro — 30 jours"  },  "amount": 4500,  "currency": "XAF",  "externalReference": "42",  "metadata": {    "plan": "pro",    "workspace": "acme"  },  "returnUrl": "https://app.example.com/billing/return",  "customer": {    "email": "awa@example.com",    "lastName": "Diallo",    "firstName": "Awa"  },  "country": "GA",  "order": null,  "licenseKey": null,  "createdAt": "2026-10-18T09:12:00.000Z"}